Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1447956 - [abrt] carbon-c-relay: server_cmp(): carbon-c-relay killed by SIGSEGV
Summary: [abrt] carbon-c-relay: server_cmp(): carbon-c-relay killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: carbon-c-relay
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e8e665f1333d474524a3354ad68...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-04 10:05 UTC by Piotr Popieluch
Modified: 2017-11-11 03:02 UTC (History)
1 user (show)

Fixed In Version: carbon-c-relay-3.2-1.fc26 carbon-c-relay-3.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 22:15:10 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (150.22 KB, text/plain)
2017-05-04 10:05 UTC, Piotr Popieluch
no flags Details
File: cgroup (276 bytes, text/plain)
2017-05-04 10:05 UTC, Piotr Popieluch
no flags Details
File: core_backtrace (1.62 KB, text/plain)
2017-05-04 10:05 UTC, Piotr Popieluch
no flags Details
File: dso_list (397 bytes, text/plain)
2017-05-04 10:05 UTC, Piotr Popieluch
no flags Details
File: environ (2.53 KB, text/plain)
2017-05-04 10:05 UTC, Piotr Popieluch
no flags Details
File: limits (1.29 KB, text/plain)
2017-05-04 10:05 UTC, Piotr Popieluch
no flags Details
File: maps (2.36 KB, text/plain)
2017-05-04 10:05 UTC, Piotr Popieluch
no flags Details
File: mountinfo (3.83 KB, text/plain)
2017-05-04 10:05 UTC, Piotr Popieluch
no flags Details
File: namespaces (102 bytes, text/plain)
2017-05-04 10:05 UTC, Piotr Popieluch
no flags Details
File: open_fds (140 bytes, text/plain)
2017-05-04 10:06 UTC, Piotr Popieluch
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-05-04 10:06 UTC, Piotr Popieluch
no flags Details
File: var_log_messages (306 bytes, text/plain)
2017-05-04 10:06 UTC, Piotr Popieluch
no flags Details

Description Piotr Popieluch 2017-05-04 10:05:37 UTC
Description of problem:
start with /etc/carbon-c-relay.conf:


statistics
    submit every 60 seconds
    reset counters after interval
    ;

cluster log-file
    file
        /tmp/carbon-c-relay-metrics.log
    ;
cluster next-hop
    forward
        127.0.0.1:2003
    ;

match *
    send to log-file
    ;
match *
    send to next-hop
    stop
    ;

Version-Release number of selected component:
carbon-c-relay-3.1-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/carbon-c-relay -f /etc/carbon-c-relay.conf
crash_function: server_cmp
executable:     /usr/bin/carbon-c-relay
global_pid:     28311
kernel:         4.10.8-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 server_cmp at server.c:612
 #1 router_add_server at router.c:541
 #2 router_yyparse at conffile.y:164
 #3 router_readconfig at router.c:1068

Comment 1 Piotr Popieluch 2017-05-04 10:05:43 UTC
Created attachment 1276215 [details]
File: backtrace

Comment 2 Piotr Popieluch 2017-05-04 10:05:45 UTC
Created attachment 1276216 [details]
File: cgroup

Comment 3 Piotr Popieluch 2017-05-04 10:05:47 UTC
Created attachment 1276217 [details]
File: core_backtrace

Comment 4 Piotr Popieluch 2017-05-04 10:05:49 UTC
Created attachment 1276218 [details]
File: dso_list

Comment 5 Piotr Popieluch 2017-05-04 10:05:51 UTC
Created attachment 1276219 [details]
File: environ

Comment 6 Piotr Popieluch 2017-05-04 10:05:53 UTC
Created attachment 1276220 [details]
File: limits

Comment 7 Piotr Popieluch 2017-05-04 10:05:55 UTC
Created attachment 1276221 [details]
File: maps

Comment 8 Piotr Popieluch 2017-05-04 10:05:57 UTC
Created attachment 1276222 [details]
File: mountinfo

Comment 9 Piotr Popieluch 2017-05-04 10:05:59 UTC
Created attachment 1276223 [details]
File: namespaces

Comment 10 Piotr Popieluch 2017-05-04 10:06:00 UTC
Created attachment 1276224 [details]
File: open_fds

Comment 11 Piotr Popieluch 2017-05-04 10:06:02 UTC
Created attachment 1276225 [details]
File: proc_pid_status

Comment 12 Piotr Popieluch 2017-05-04 10:06:04 UTC
Created attachment 1276226 [details]
File: var_log_messages

Comment 13 Fedora Update System 2017-10-23 09:36:23 UTC
carbon-c-relay-3.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a88bab3699

Comment 14 Fedora Update System 2017-10-23 09:37:38 UTC
carbon-c-relay-3.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-421ce63971

Comment 15 Fedora Update System 2017-10-23 16:22:12 UTC
carbon-c-relay-3.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a88bab3699

Comment 16 Fedora Update System 2017-10-23 23:21:55 UTC
carbon-c-relay-3.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-421ce63971

Comment 17 Fedora Update System 2017-11-07 22:15:10 UTC
carbon-c-relay-3.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-11-11 03:02:00 UTC
carbon-c-relay-3.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.